import request from '@/utils/request'

// 查询列表
export function listSituationDesc(query) {
  return request({
    url: '/town/partymemberconditionlog/list',
    method: 'get',
    params: query
  });
}

// 查询详细
export function viewSituationDesc(id) {
  return request({
    url: '/town/partymemberconditionlog/' + id,
    method: 'get'
  });
}

// 新增
export function addSituationDesc(data) {
  return request({
    url: '/town/partymemberconditionlog',
    method: 'post',
    data: data
  });
}

// 修改
export function updateSituationDesc(data) {
  return request({
    url: '/town/partymemberconditionlog',
    method: 'put',
    data: data
  });
}

// 删除
export function delSituationDesc(id) {
  return request({
    url: '/town/partymemberconditionlog/' + id,
    method: 'delete'
  });
}

// 情况说明人选项列表
export function getFactSheetOptionList() {
  return request({
    url: '/town/partymember/nameList',
    method: 'get'
  });
}
